ucommon (7.0.0-11) unstable; urgency=medium

  * Remove symbols missing with GCC 7

 -- Peter Colberg <peter@colberg.org>  Sun, 20 Aug 2017 11:18:07 -0400

ucommon (7.0.0-10) unstable; urgency=medium

  [ Jonas Smedegaard ]
  * Update upstream source URLs.
  * Have git-buildpackage config filter any .git* file.
  * Drop Bug field from DEP3 header of patch 1001.
    Apparently upstream didn't preserve old issues when moving Github account.

  [ Peter Colberg ]
  * Update symbols for GCC 7 (Closes: #853691)
  * Use https for copyright-format URL
  * Update Standards-Version to 4.0.0

 -- Peter Colberg <peter@colberg.org>  Sat, 19 Aug 2017 11:23:43 -0400

ucommon (7.0.0-9) unstable; urgency=medium

  * Avoid compilation of libraries and tests for arch-independent builds

 -- Peter Colberg <peter@colberg.org>  Sat, 29 Oct 2016 08:08:53 -0400

ucommon (7.0.0-8) unstable; urgency=medium

  * Fix missing symbols on powerpcspe
  * Fix missing symbols on sh4

 -- Peter Colberg <peter@colberg.org>  Fri, 28 Oct 2016 22:20:14 -0400

ucommon (7.0.0-7) unstable; urgency=medium

  * Upload to unstable (Closes: #831211)
  * Fix mismatching symbols on kfreebsd-i386

 -- Peter Colberg <peter@colberg.org>  Wed, 26 Oct 2016 22:14:12 -0400

ucommon (7.0.0-7~exp4) experimental; urgency=medium

  * Use arch-bits symbol tag instead of non-standard subst tag
  * Restore arch-specific symbols for variadic functions
  * Fix mismatching symbols on x32
  * Fix mismatching symbols on hurd-i386
  * Build with all hardening flags
  * Link with -Wl,--as-needed to avoid useless library dependencies
  * Always fail in case of mismatching symbols

 -- Peter Colberg <peter@colberg.org>  Tue, 25 Oct 2016 23:06:24 -0400

ucommon (7.0.0-7~exp3) experimental; urgency=medium

  * Switch from CDBS to dh
  * Build depend on graphviz for arch-independent builds only
  * Add dependency on libjs-jquery to ucommon-doc
  * Bump debhelper compat level to 10
  * Replace -dbg package with automatic -dbgsym package
  * Build with bindnow hardening flag
  * Substitute arch-dependent size_t in symbols file
  * Exclude useless autogenerated doxygen files
  * Register HTML documentation with doc-base
  * Fix spelling mistakes found by lintian
  * Use /git/ instead of /cgit/ in Vcs-Browser field
  * Add myself to Uploaders

 -- Peter Colberg <peter@colberg.org>  Sat, 22 Oct 2016 23:22:27 -0400

ucommon (7.0.0-7~exp2) experimental; urgency=medium

  * Temporarily stop build-depend on licensecheck.

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 13 Sep 2016 22:39:44 +0200

ucommon (7.0.0-7~exp1) experimental; urgency=medium

  * Relax symbols check when targeting experimental.
  * Have CDBS resolve Debian suite.
    Stop build-depend on recent dpkg-dev.
  * Modernize CDBS: Build-depend on license-check (not devscripts).
  * De-mangle, sort, and deduplicate symbols.
  * Reset arch and subst symbol tags (apparently g++6 transition
    confuses pkgkde-sysmbolshelper).

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 13 Sep 2016 19:37:24 +0200

ucommon (7.0.0-6) unstable; urgency=medium

  * Use dh-autoreconf (not cdbs) to regenerate autotools.
    Closes: Bug#826391. Thanks to Chris Lamb.
  * Update package relations:
    + Build-depend on dh-autoreconf.
    + Stop (explicitly) build-depend on libtool automake autoconf.
    + Relax build-dependency on cdbs.

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 08 Jun 2016 20:58:45 +0200

ucommon (7.0.0-5) unstable; urgency=medium

  * Update Vcs-* fields: Packaging has moved to Debian VoIP team.
  * Update symbols file.

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 21 Apr 2016 10:39:37 +0200

ucommon (7.0.0-4) unstable; urgency=medium

  * Update symbols file.

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 14 Apr 2016 10:50:18 +0200

ucommon (7.0.0-3) experimental; urgency=medium

  [ duplicate targeted experimental of 6.6.2-4 changes]

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 07 Apr 2016 15:02:49 +0200

ucommon (7.0.0-2) experimental; urgency=medium

  * Update symbols files.

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 15 Mar 2016 02:12:40 +0100

ucommon (7.0.0-1) experimental; urgency=medium

  [ upstream ]
  * New release.
    + clean new library abi 8.0
    + atomic typeref system completed, matches tychomt spec
    + c++11 support completed
    + deprecated functions and templates removed
    + deprecated modules (xml, persist) moved to commoncpp

  [ Jonas Smedegaard ]
  * Drop transitional G++ v5 ABI suffix.
  * Install new utility urlout.
  * Drop configure flag --enable-atomics: Now always enabled with recent
    g++.
  * Add libucommon8 symbols (and drop older symbols), and use
    pkgkde-gensymbols to update them.
    Build-depend on pkg-kde-tools.

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 12 Mar 2016 16:55:49 +0100

ucommon (6.6.2-5) unstable; urgency=medium

  * Update symbols file.

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 14 Apr 2016 03:50:36 +0200

ucommon (6.6.2-4) unstable; urgency=medium

  * Add patch 1001 to avoid mapkeypath test consistently failing on
    bigendian archs.
    Closes: Bug#818297. Thanks to Emilio Pozuelo Monfort.
  * Fix Vcs-Git URL.
  * Declare compliance with Debian Policy 3.9.8.
  * Move packaging to Debian VoIP team.
  * Update copyright info:
    + Add Github source URLs, and favor them (GNU issue tracker seems
      unused).
  * Update watch file:
    + Modernize to use format 4.
    + Switch to github URL.
    + Add usage hint comment.
  * Print test-suite.log on testsuite failure, and don't have it fail
    build when targeted experimental.
  * Use pkgkde-gensymbols to update symbols file.
    Build-depend on pkg-kde-tools.

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 12 Apr 2016 16:00:14 +0200

ucommon (6.6.2-2) unstable; urgency=medium

  * Update copyright info:
    + Add note on confirmed ambiguous licensing.
    + Fix add License section for now clarified license.
    + Fix use non-pseudo License-Reference paragraph for licenses with
      exceptions.
    + Use License short-name FSFUL (and derivations).
    + Extend copyright of packaging to cover current year.
  * Add symbols file.
  * Fix move (not copy) upstream cruft aside during build, and force
    rebuilding it.
    Closes: Bug#813263. Thanks to Andreas Metzler.
  * Declare compliance with Debian Policy 3.9.7.
  * Relax to build-depend unversioned on debhelper: Needed version
    satisfied even in oldstable.
  * Add lintian override regarding debhelper 9.
  * Modernize Vcs-* fields: Use https protocol.
  * Fix remove Multi-Arch field for libucommon-dev: Includes old-style
    *-config scripts with multi-arch path hardcoded.
    Setting "Multi-Arch: no" as suggested in bugreport was avoided:
    Auto-rejected by ftpmasters with reference to bug#768353.
    Closes: Bug#795912. Thanks to Jakub Wilk.
  * Tighten build-dependency on d-shlibs: Required for libgnutls28.
  * Fix tighten d-shlibs regex (accidentally relaxed since 6.4.4-1).

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 12 Mar 2016 15:57:28 +0100

ucommon (6.6.2-1) experimental; urgency=medium

  [ upstream ]
  * 6.5.2:
    + Memory management cleanup and mingw32 support for native
      conditionals.
    + New methodology of having getaddrinfo allocate memory.
    + Introduction of queueref and stackref; arrayref becomes useful.
    + typeref concatenation operators.
  * 6.5.3:
    + arrayref now uses ConditionalAccess, fix for Conditional.
  * 6.5.4:
    + Secure string and key management types.
    + Better cleanup of secure objects.
    + File i/o for heap temporary.
  * 6.5.5:
    + More portable nullptr support.
    + Thread-safe mapref class.
    + Some typeref convenience types.
    + Bit operations on byterefs.
  * 6.5.6:
    + Simplified arrayref.
    + Add listref.
    + Map iterators thru locked instances.
    + Type standardization.
    + Socket address type.
  * 6.5.7:
    + Improve c++11 support.
    + Mapped pointer introduced.
    + Fix is usage.
    + Improve mapref remove.
  * 6.6.0:
    + Introduce rsa key support.
    + Expand hmac support.
    + Expand digests for sha256 and 384.
    + Reword of common digest code.
    + Improve nullptr clang support.
    + Remove clang forced c++11 from build.
    + Check for openssl rsa support.
    + Port types for 7.0 migration.
    + Socket addresses for typeref.
    + Further c++11 header fixes.
    + Remove old ssl demo app.
  * 6.6.1:
    + errlog for error.

  [ Jonas Smedegaard ]
  * Update copyright info:
    + Add Files sections for differently licensed nossl code.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 09 Nov 2015 12:38:02 +0100

ucommon (6.5.1-1) experimental; urgency=medium

  [ upstream ]
  * New release 6.5.0
    + Typeref expanded.
    + Arrayref introduced.
    + Nullptr and other c++ modernizations.
    + Clang now defaulted to c++11.
    + Minimum native windows now requires conditionals.
    + Mingw has to use win32 pthread support.
    + Somewhat more usable heap temporary templates.
  * New release 6.5.1
    + Thread shared references added.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 17 Aug 2015 14:15:28 +0200

ucommon (6.4.4-2) unstable; urgency=medium

  * Re-release to unstable.
    Still closes: bug#791305. Thanks (also) to Simon McVittie.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 17 Aug 2015 11:48:01 +0200

ucommon (6.4.4-1) experimental; urgency=medium

  [ upstream ]
  * New release 6.3.5
    + General code cleanup.
    + Some build fixes.
  * New release 6.3.6
    + Code cleanup.
    + Simulate option for scrub.
    + Set newline style for cmake genorated files.
  * New release 6.4.0
    + New typeref system for immutable atomic reference counted objects.
    + Heap management objects support moving heap through assignment.
    + Extended unit tests for typeref system.
    + Improved openbsd support.
    + Atomics enabled by default.
  * New release 6.4.1
    + Keyfile fixed constructor issue.
  * New release 6.4.2
    + Solaris related cmake fixes.
    + Cleanup of test build and osx fixes.
  * New release 6.4.3
    + Fix for broken windows setuid macro.
  * New release 6.4.4
    + Additional typeref operators.

  [ Jonas Smedegaard ]
  * Update copyright info: Use standard shortname LGPL-3+.
  * Rename library package for g++5 ABI transition.
    + Tighten build-dependency on d-shlibs.
    + Override lintian.
    Closes: bug#791305. Thanks to Matthias Klose.
  * Multiarch-enable library and development packages.
  * Fix have d-shlibs trigger by dev targets (not only lib targets).

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 07 Aug 2015 10:19:55 +0200

ucommon (6.3.4-1) unstable; urgency=medium

  * Modernize git-buildpackage config: Avoid "git-" prefix.
  * Update copyright info:
    + Fix adjust a Files section from plain GPL to GPL with exception.
    + Fix include License grant in License field (not separate License
      section) for GPL with exception.
    + Reference actual license as pseudo-field for GPL with exception:
      Yet another limitation of format 1.0.
    + Use License-Grant and License-Reference fields.
      Thanks to Ben Finney.
    + Merge same-licensed Files sections.
  * Add lintian overrides regarding license in License-Reference field.
    See bug#786450.
  * Revert git packaging branch to master.

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 20 Jun 2015 21:51:27 -0500

ucommon (6.3.1-2) unstable; urgency=medium

  * Update copyright info: Extend coverage for myself.
  * Have -doc package symlink separately packaged jquery.
    (Build-)depend on libjs-jquery.

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 02 May 2015 13:21:33 +0200

ucommon (6.3.1-1) experimental; urgency=medium

  [ upstream ]
  * New release 6.3.1
    + Assing copyright to Cherokees of Idaho.
    + Introduce ucommon cmake hosted macros.
    + Simplify doxygen doc support.
    + Converge automake and cmake builds.
    + Make utils easier for source introspection.
    + Convert to cmake builds on debian.
    + Count for String::check should be size_t.
    + String bounds checking.

  [ Jonas Smedegaard ]
  * Update copyright info:
    + Fix use SPDX shortname for X11 license.
      Thanks to Paul Richards Tagliamonte.
    + Extend coverage for upstream authors.

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 02 Apr 2015 13:09:00 +0200

ucommon (6.3.0-1) experimental; urgency=low

  [ upstream ]
  * New release 6.1.11
    + any addr and overloads in commoncpp.
    + cmake abi fix and other apple specific issues.
    + stream fixes, sflphone recommended changes, and other updates.
    + key protocol added.
    + cleaner build for binding without resolver.
    + cleanup and fixes for commoncpp peering...
    + UDPSocket: use ucommon::Socket::address.
    + Socket::address: add setAny(sockaddr*), setLoopback(sockaddr*).
  * New release 6.2.0
    + standardized cmake paths and stand-alone usages.
    + gnutls support in cmake.
    + unified openssl checks, even works for windows.
    + improved openssl support, new static crypto option.
    + pkgconfig usable in win32, other win32 fixes.
    + fixes for mac build & optional disable of utils.
    + upticked abi version to 7, should have happened with 10/11?
  * New release 6.2.1
    + datetime: fix const inconsistency.
    + fsys: cached error variable must be mutable.
    + replacment new/delete cannot be declared inline.
    + fix exception specifier clash for c++11.
  * New release 6.2.2
    + bumped gnutls to 3.0.0 or later...
    + lots of bug fixes and general cleanup.
    + socket endian issues and other things for ccrtp.
    + templated newp and freep handle management.
  * New release 6.2.3
    + a few socket fixes, mostly windows related...
  * New release 6.3.0
    + remove legacy cmodel support.
    + modernize library usage.
    + simplify autoconf and cmake.
    + introduce sysruntime...
    + cleanup memory operators....

  [ Jonas Smedegaard ]
  * Build transitional compatibility wrapper for Common C++.
  * Update copyright info: Add m4 files.
  * Strip bad pkg-config directives.

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 21 Dec 2014 05:38:40 +0100

ucommon (6.1.10-1) unstable; urgency=medium

  [ upstream ]
  * New release.
    + iso cleaness.
    + Fix memory leak in DateTime ctor.
    + Fix utf8::count().
    + secure::erase() should be more secure.

  [ Jonas Smedegaard ]
  * Update copyright info: Extend coverage of autotools files.

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 05 Aug 2014 13:23:27 +0200

ucommon (6.1.9-2) unstable; urgency=medium

  * Modernize doxyfile during build, and use SVG images to save space
    (should work fine on Free browsers).

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 25 Jul 2014 15:31:05 +0200

ucommon (6.1.9-1) experimental; urgency=medium

  * Claim compliance with Policy 3.9.5.
  * Fix use canonical anonscm.debian.org host in Vcs-Git URL.
  * Adjust CDBS hints to use current automake and autoconf.
    Build-depend on automake (not automake1.11).
    Tighten to build-depend versioned on cdbs.
  * Use CDBS hints to keep backup during build of upstream-shipped temp
    files (not local code: We need recent CDBS anyway for version-less
    autotools).
    Adjust comment to talk about copying (not moving) the files.
  * Handle new utility keywait and its man page, and mention in long
    description.
  * Update copyright info:
    + Extend coverage for upstream authors.
    + Extend coverage of packaging to include current year.
    + Update copyright info: Add copyright holder (same license).
  * Unfuzz patch 1000 with shortening quilt options.
  * Ease building with git-buildpackage: Git-ignore quilt .pc dir.
  * Link against GnuTLS 2.8: Build-depend on libgnutls28-dev (not
    libgnutls-dev), and drop patch 1000 (introduced in 6.0.7-1.1).
    Closes: bug#754701. Thanks to Andreas Metzler.
  * Tighten build-dependency on d-shlibs to versions with
    libgnutls-deb0-28 quirk.

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 13 Jul 2014 19:17:41 +0200

ucommon (6.0.7-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Rebuild against libgnutls-dev (gnutls2.6)
    - Fixes "libucomon-dev: Dependency on libgnutls28-dev makes sflphone
    unbuildable" (Closes: #716855)

 -- Mark Purcell <msp@debian.org>  Sat, 18 Jan 2014 09:12:31 +1100

ucommon (6.0.7-1) unstable; urgency=low

  [ upstream ]
  * New release.
    + Error state in fsys open fixed.
    + fsys error reset inline added.

  [ Jonas Smedegaard ]
  * Fix flip gnutls package names in changelog entry for previous
    6.0.6-1 packaging release, and mention reason for the change.
  * Bump debhelper compatibility to 9: Needed for co-installability of
    debug packages.
    Closes: bug#707560. Thanks to Ralf Treinen, Mark Purcell and Julien
    Cristau.
    Tighten build-dependency on debhelper as a consequence.
  * Relax to drop versioned build-dependency on gcc: Needed version
    satisfied even in oldstable.
  * Fix resolve library major version from libtool hint (not project
    version).

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 02 Aug 2013 11:33:06 +0200

ucommon (6.0.6-1) unstable; urgency=low

  [ upstream ]
  * New release.
    + Additional constructors to pass pre-allocated memory.
    + Small cleanup of useless validator assignments.
    + Fix gnutls casting and warnings.
    + Modernized automake support.

  * Add git URL as alternate source.
  * Have git-import-orig avoid .git-ignore files.
  * Stop tracking md5sum of upstream tarball.
  * Extend copyright coverage for autotools to include recent years.
  * Build-depend on libgnutls28-dev (not libgnutls-dev): Fails to build
    against the latter.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 01 Jul 2013 00:12:26 +0200

ucommon (6.0.4-1) unstable; urgency=low

  [ upstream ]
  * New release.
    + Fix for address list comparison issue.

  [ Jonas Smedegaard ]
  * Add README.source emphasizing control.in file as *not* a
    show-stopper for contributions, referring to wiki page for details.
  * Use anonscm.debian.org URL for Vcs-Git.
  * Bump packaging license to GPL-3+, and extend coverage to include
    recent years.
  * Extend copyright coverage for autotools.

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 07 May 2013 08:47:06 +0200

ucommon (6.0.3-1) experimental; urgency=low

  [ upstream ]
  * New release.
    + Fixes for older gnutls releases.

  [ Jonas Smedegaard ]
  * Drop patch 0001: Applied upstream.

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 17 Feb 2013 05:20:29 +0100

ucommon (6.0.2-1) experimental; urgency=low

  [ upstream ]
  * New upstream release.

  * Bump dephelper compatibility level to 8.
  * Bump standards-version to 3.9.4.
  * Update copyright file:
    + Extend coverage for autotools files.
    + Fix use pseudo-comment section to obey silly restrictions of
      copyright format 1.0.
    + List upstream issue tracker and development mailinglist as
      Upstream-Contact.
  * Update package relations:
    + Relax to build-depend unversioned on cdbs: Needed version
      satisfied in stable, and oldstable no longer supported.
  * Add patch 0001 from upstream VCS, to fix linkage against (older?)
    gnutls.

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 11 Dec 2012 14:33:33 +0100

ucommon (5.2.2-4) unstable; urgency=low

  * Update upstream source URL.
  * Use anonscm.debian.org for Vcs-Browser field.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 25 Jun 2012 16:08:34 +0200

ucommon (5.2.2-3) unstable; urgency=low

  * Build transitional compatibility wrapper for Common C++.
  * Fix build-depend on graphviz.

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 12 May 2012 23:44:16 +0200

ucommon (5.2.2-2) unstable; urgency=low

  * Fix short description of -doc package to mention documentation (not
    shared libraries).
    Closes: bug#671005. Thanks to Davide Prina.
  * Fix install ucommon.pc, and recommend pkg-config.
    Closes: bug#672656. Thanks to David Sugar.

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 12 May 2012 19:57:32 +0200

ucommon (5.2.2-1) unstable; urgency=low

  * New upstream release.

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 07 Apr 2012 17:59:50 +0200

ucommon (5.2.1-1) unstable; urgency=low

  * New upstream release.
  * Bump standards-version to 3.9.3.
  * Update copyright file:
    + Bump format to 1.0.
    + Fix double-indent multiline Copyright fields.

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 11 Mar 2012 00:06:35 +0100

ucommon (5.2.0-1) unstable; urgency=low

  * New upstream release.
  * Drop dpkg-source local-options: Defaults since dpkg-source 1.16.1.
  * Add git-buildpackage configfile, enabling signed tags.

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 22 Jan 2012 03:55:17 +0100

ucommon (5.1.0-1) unstable; urgency=low

  * New upstream release.
  * Drop patches: Obsolete.
  * Update copyright file:
    + Merge equally owned and licensed Files sections.
    + Extend copyright ranges.
  * Update package relations:
    + Relax build-dependency on cdbs (needlessly tight).
    + Relax build-depend unversioned on debhelper and devscripts (needed
      versions satisfied even in oldstable).

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 24 Dec 2011 22:36:24 +0700

ucommon (5.0.5-1) unstable; urgency=low

  * New upstream release.
    + rename scrub to scrub-files to avoid name conflict.
      Closes: bug#632287.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 08 Aug 2011 09:29:18 +0200

ucommon (5.0.4-2) unstable; urgency=low

  * Build documentation only when doxy is available.
    Closes: bug#632343. Thanks to Aaron M. Ucko.
  * Fix Homepage.
    Closes: bug#634290. Thanks to bertagaz.
  * Add patch 1002 to fix FTBFS on kfreebsd.
    Closes: bug#632346. Thanks to Aaron M. Ucko and David Sugar.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 25 Jul 2011 13:38:51 +0200

ucommon (5.0.4-1) unstable; urgency=low

  * New upstream release.

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 12 Jul 2011 10:31:43 +0200

ucommon (5.0.3-1) unstable; urgency=low

  * Initial release.
    Closes: Bug#532808.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 27 Jun 2011 19:15:59 +0200
